Mailinglist Archive: opensuse (4633 mails)

< Previous Next >
[opensuse] apt: How to determine why a new package is pulled in
  • From: Joachim Schrod <jschrod@xxxxxxx>
  • Date: Fri, 22 Dec 2006 09:52:32 +0100
  • Message-id: <emg6cg$kij$1@xxxxxxxxxxxxx>
Hi,

I use apt4rpm with my SUSE 10.0 installation.
I would like to determine which dependency causes a new package to be pulled in. In particular, apt wants to update ffmpeg and libffmpeg0, and that pulls in a whole bunch of NEW -devel libs, namely
SDL-devel aalib-devel alsa-devel arts-devel audiofile-devel
esound-devel faad2-devel ffmpeg freeglut-devel jack-devel
libffmpeg0-devel liblcms-devel libmng-devel libmp4v2-devel
libogg-devel libtheora-devel libvorbis-devel
qt3-devel slang-devel x264-devel xvid-devel

But when I check the dependency with
apt depends ffmpeg libffmpeg0

I get the output below. No dependency points to any *-devel lib. (The dependent packages are all installed and up-to-date.) How do I determine the reason for that installation?

libffmpeg0-0.4.9-8.pm.svn20061220
Depends: lame
Depends: libogg
Depends: libvorbis
Depends: libtheora
Depends: ncurses
Depends: esound
Depends: alsa
Depends: slang
Depends: zlib
Depends: faad2 >= 2.5
Depends: faac >= 1.25
Depends: xvid
Depends: libmp4v2
Depends: x264
PreDepends: </bin/sh>
bash-3.0-17
PreDepends: </bin/sh>
bash-3.0-17
Depends: <libavcodec.so.51>
libffmpeg0-0.4.9-8.pm.svn20061220
Depends: <libavutil.so.49>
libffmpeg0-0.4.9-8.pm.svn20061220
Depends: <libc.so.6>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.0)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.1)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.1.3)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.2)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.3)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.3.4)>
glibc-2.3.5-40
Depends: <libfaac.so.0>
faac-1.25-0.pm.3
Depends: <libfaad.so.0>
faad2-2.5-0.pm.2
Depends: <libmp3lame.so.0>
lame-3.96.1-2
Depends: <libm.so.6>
glibc-2.3.5-40
Depends: <libm.so.6(GLIBC_2.0)>
glibc-2.3.5-40
Depends: <libm.so.6(GLIBC_2.1)>
glibc-2.3.5-40
Depends: <libogg.so.0>
libogg-1.1.2-7
Depends: <libvorbisenc.so.2>
libvorbis-1.1.1-0.pm.0
Depends: <libvorbis.so.0>
libvorbis-1.1.1-0.pm.0
Depends: <libx264.so.54>
x264-0.0svn20061031-1
Depends: <libxvidcore.so.4>
xvid-1.1.2-0.pm.0
Depends: <libz.so.1>
zlib-1.2.3-3
Obsoletes: <libpostproc>
ffmpeg-0.4.9-8.pm.svn20061220
Depends: libffmpeg0 = 0.4.9-8.pm.svn20061220
Depends: imlib2
Depends: lame
Depends: libogg
Depends: libvorbis
Depends: libtheora
Depends: ncurses
Depends: esound
Depends: alsa
Depends: freetype2
Depends: SDL
Depends: slang
Depends: xorg-x11-libs
Depends: zlib
Depends: faad2 >= 2.5
Depends: faac >= 1.25
Depends: <libavcodec.so.51>
libffmpeg0-0.4.9-8.pm.svn20061220
Depends: <libavformat.so.51>
libffmpeg0-0.4.9-8.pm.svn20061220
Depends: <libavutil.so.49>
libffmpeg0-0.4.9-8.pm.svn20061220
Depends: <libc.so.6>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.0)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.1)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.1.3)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.2)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.3)>
glibc-2.3.5-40
Depends: <libc.so.6(GLIBC_2.3.4)>
glibc-2.3.5-40
Depends: <libdl.so.2>
glibc-2.3.5-40
Depends: <libdl.so.2(GLIBC_2.0)>
glibc-2.3.5-40
Depends: <libdl.so.2(GLIBC_2.1)>
glibc-2.3.5-40
Depends: <libfreetype.so.6>
freetype2-2.1.10-4.4
Depends: <libImlib2.so.1>
imlib2-1.3.0-0.pm.2
Depends: <libm.so.6>
glibc-2.3.5-40
Depends: <libm.so.6(GLIBC_2.1)>
glibc-2.3.5-40
Depends: <libpthread.so.0>
glibc-2.3.5-40
uClibc-0.9.27-3
Depends: <libSDL-1.2.so.0>
SDL-1.2.8-8


Thanks for any comments on that,

Joachim

--
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Joachim Schrod Email: jschrod@xxxxxxx
Roedermark, Germany

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages